ServerEvents.recipes(event => {
event.remove({ output: 'extendedcrafting:black_iron_ingot' })
event.remove({ output: 'extendedcrafting:ender_ingot' })
event.remove({ output: 'extendedcrafting:redstone_ingot' })
event.remove({ output: 'extendedcrafting:luminessence' })
event.remove({ id: 'extendedcrafting:flux_star' })

  event.recipes.create.mixing(
    'extendedcrafting:ender_ingot',
    ['naturesaura:infused_iron', 'naturesaura:end_city_finder','alexscaves:azure_neodymium_ingot']
  )
  .superheated()
  .id('extendedcrafting:ender_ingot')


    event.custom({
    type: 'ars_nouveau:enchanting_apparatus',
    output: {
      item: 'extendedcrafting:black_iron_ingot'
    },
    pedestalItems: [
      { item: 'mekanism:ingot_refined_obsidian' },
      { item: 'mekanism:ingot_refined_obsidian' },
      { item: 'mekanism:ingot_refined_glowstone' },
      { item: 'mekanism:ingot_refined_glowstone' },
      { item: 'minecraft:netherite_ingot' },
      { item: 'minecraft:netherite_ingot' }
    ],
    reagent: {
      item: '#outer_end:crystal_shards'
    },
    source_cost: 3000,
    keep_nbt_of_reagent: false
  })

    event.custom({
    type: 'powah:energizing',
    ingredients: [
      Ingredient.of('powah:crystal_nitro').toJson(),
      Ingredient.of('thermal:rose_gold_ingot').toJson(),
      Ingredient.of('minecraft:redstone').toJson(),
      Ingredient.of('thermal:signalum_ingot').toJson(),
      Ingredient.of('alexscaves:scarlet_neodymium_ingot').toJson()
    ],
    energy: 25000000,
    result: { item: 'extendedcrafting:redstone_ingot', count: 2 } // count is supported
  }).id('kjs:powah/my_tagged_recipe');

  event.recipes.industrialforegoing.dissolution_chamber(
    [
      'ars_nouveau:water_essence',
      'ars_nouveau:earth_essence',
      'ars_nouveau:fire_essence',
      'ars_nouveau:air_essence',
      'ars_nouveau:abjuration_essence',
      'ars_nouveau:conjuration_essence',
      'ars_nouveau:manipulation_essence'
    ],
    Fluid.of('industrialforegoing:ether_gas', 500), // input fluid + amount (mB)
    Item.of('extendedcrafting:luminessence', 1),            // output item (+ count)
    120        // processing time in ticks (20 ticks = 1s) → 6s here
  )
  // (optional) also produce an output fluid:
  // .outputFluid(Fluid.of('minecraft:water', 250))
  .id('extendedcrafting:luminessence');

  event.recipes.extendedcrafting.shaped_flux_crafter(
    "extendedcrafting:flux_star",
    [
      ' G ',
      'GNG',
      ' G '
    ],
    {
      G: 'fluxnetworks:basic_flux_storage',
      N: 'minecraft:nether_star'
    },
    500000 // total FE required
  )
  .powerRate(5000) // optional; FE/t, omit or change as you like
  .id('extendedcrafting:flux_star');

    event.recipes.extendedcrafting.shaped_ender_crafter(
    "extendedcrafting:ender_star",
    [
      'DED',
      'ENE',
      'DED'
    ],
    {
      E: 'minecraft:dragon_egg',
      N: 'minecraft:nether_star',
      D: 'botania:dragonstone'
    }
  )
  .craftingTime(500) // optional; FE/t, omit or change as you like
  .id('extendedcrafting:ender_star');

   /*   event.recipes.extendedcrafting.shaped_table(
    "souls:sloth_soul",
    [
      "         ",  
      "         ",
      " eBCDJGH ",
      " NSOEPQF ",
      " iKILRMj ",  
      " Zafgbcd ",  
      " XVYhTUW ",
      "         ",
      "         "   
    ],
    {
      B: 'alexsmobs:ambergris',
      C: 'alexsmobs:bison_fur',
      D: 'alexsmobs:rattlesnake_rattle',
      E: 'alexsmobs:tarantula_hawk_wing',
      F: 'alexsmobs:raccoon_tail',
      G: 'alexsmobs:mungal_spores',
      H: 'alexsmobs:moose_antler',
      I: 'alexsmobs:centipede_leg',
      J: 'alexsmobs:shark_tooth',
      K: 'alexsmobs:elastic_tendon',
      L: 'alexsmobs:rocky_shell',
      M: 'alexsmobs:roadrunner_feather',
      N: 'alexsmobs:straddlite',
      O: 'alexsmobs:mimicream',
      P: 'alexsmobs:komodo_spit',
      Q: 'alexsmobs:kangaroo_hide',
      R: 'alexsmobs:blood_sac',
      S: 'alexsmobs:bone_serpent_tooth',
      T: 'alexsmobs:guster_eye',
      U: 'alexsmobs:bear_fur',
      V: 'alexsmobs:warped_muscle',
      W: 'alexsmobs:spiked_scute',
      X: 'alexsmobs:crocodile_scute',
      Y: 'alexsmobs:hemolymph_sac',
      Z: 'alexsmobs:dropbear_claw',
      a: 'alexsmobs:emu_feather',
      b: 'alexsmobs:void_worm_eye',
      c: 'alexsmobs:void_worm_mandible',
      d: 'alexsmobs:rainbow_jelly',
      e: 'alexsmobs:cockroach_wing',
      f: 'alexsmobs:skreecher_soul',
      g: 'alexsmobs:gazelle_horn',
      h: 'alexsmobs:froststalker_horn',
      i: 'alexsmobs:fish_bones',
      j: 'alexsmobs:emu_egg'
    }
  )
  .id("souls:sloth_soul")*/
})